
Katello - Tracker #8176

Errata Management Incremental Updates

10/29/2014 01:54 PM - Walden Raines

Status: Resolved % Done: 0%

Priority: Normal   

Assignee:    

Category: Errata Management   

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

As a user I would like to get an emergency errata out to systems as quickly as possible.

Related issues:

Blocked by Katello - Feature #8000: Design: as a user I would like to get an ... Closed 10/20/2014

Blocked by Katello - Feature #8177: API for select multiple errata, and 'appl... Resolved 10/29/2014

Blocked by Katello - Feature #8178: UI for select multiple errata, and 'apply... Closed 10/29/2014

Blocked by Katello - Feature #8179: CLI for select multiple errata, and 'appl... Closed 10/29/2014

Blocked by Katello - Feature #8180: As a user, I would expect errata that are... Closed 10/29/2014

Blocked by Katello - Feature #8188: API for querying a subset of environments... Closed 10/29/2014

Blocked by Katello - Feature #8189: UI for viewing applicable environments or... Closed 10/29/2014

Blocked by Katello - Feature #8190: CLI for viewing applicable environments o... Closed 10/29/2014

Blocked by Katello - Feature #8191: API for initiating an update on all affec... Closed 10/29/2014

Blocked by Katello - Feature #8192: UI:  support option for initiating and up... Closed 10/29/2014

Blocked by Katello - Feature #8193: CLI:  support option for initiating and u... Closed 10/29/2014

Blocked by Katello - Feature #8194: Update composite content views and enviro... Closed 10/29/2014

Blocked by Katello - Feature #8249: API for remote action history Closed 11/03/2014

Blocked by Katello - Feature #8251: As a user, i should be able to see what w... Closed 11/03/2014

Blocked by Katello - Feature #8306: API for selecting multiple *packages*, an... Closed 11/06/2014

Blocked by Katello - Feature #8972: Support incremental update via hammer Closed 01/15/2015

Blocked by Katello - Bug #9051: systems controller index should handle multip... Closed 01/20/2015

Blocked by Katello - Bug #9120: better feedback around composites and increme... Closed 01/26/2015

Blocked by Katello - Feature #9166: Indicate to the user that an incremental ... Closed 01/29/2015

Blocked by Katello - Feature #9176: Incremental update:  show resulting updat... Closed 01/30/2015

Blocked by Katello - Bug #9220: apply errata confirm button does not disable ... Closed 02/04/2015

Blocked by Katello - Bug #9219: cancel button on errata apply does not work p... Closed 02/04/2015

Blocked by Katello - Feature #9223: Indicate to the user that an incremental ... Closed 01/29/2015

Blocked by Katello - Bug #9298: errata apply with inc update includes full sy... Closed 02/09/2015

Blocked by Katello - Bug #9309: Monitor > Tasks page throws "Not Implemented ... Closed 02/10/2015

History

#1 - 10/29/2014 01:54 PM - Walden Raines

- Related to Feature #8000: Design: as a user I would like to get an emergency errata out to systems as quickly as possible added

#2 - 10/29/2014 01:55 PM - Walden Raines

- Related to deleted (Feature #8000: Design: as a user I would like to get an emergency errata out to systems as quickly as possible)

#3 - 10/29/2014 01:55 PM - Walden Raines

- Blocked by Feature #8000: Design: as a user I would like to get an emergency errata out to systems as quickly as possible added
#4 - 10/29/2014 01:57 PM - Walden Raines

- Related to Feature #8177: API for select multiple errata, and 'apply them' to multiple content views in multiple environments added

#5 - 10/29/2014 01:57 PM - Walden Raines

- Related to deleted (Feature #8177: API for select multiple errata, and 'apply them' to multiple content views in multiple environments)

#6 - 10/29/2014 01:57 PM - Walden Raines

- Blocked by Feature #8177: API for select multiple errata, and 'apply them' to multiple content views in multiple environments added

#7 - 10/29/2014 01:58 PM - Walden Raines

- Blocked by Feature #8178: UI for select multiple errata, and 'apply them' to multiple content views in multiple environments added

#8 - 10/29/2014 01:59 PM - Walden Raines

- Blocked by Feature #8179: CLI for select multiple errata, and 'apply them' to multiple content views in multiple environments added

#9 - 10/29/2014 02:01 PM - Walden Raines

- Blocked by Feature #8180: As a user, I would expect errata that are added to a new point release to use dependency resolution to ensure needed

dependencies are added added

#13 - 10/29/2014 02:08 PM - Walden Raines

- Blocked by Feature #8186: UI for selecting multiple *packages*, and 'apply them' to multiple content views in multiple environments. added

#14 - 10/29/2014 02:08 PM - Walden Raines

- Blocked by Feature #8187: CLI for selecting multiple *packages*, and 'apply them' to multiple content views in multiple environments. added

#15 - 10/29/2014 02:09 PM - Walden Raines

- Blocked by Feature #8188: API for querying a subset of environments or content views to push new errata to. added

#16 - 10/29/2014 02:10 PM - Walden Raines

- Blocked by Feature #8189: UI for viewing applicable environments or content views an errata applies to added

#17 - 10/29/2014 02:10 PM - Walden Raines

- Blocked by Feature #8190: CLI for viewing applicable environments or content views an errata applies to added

#18 - 10/29/2014 02:12 PM - Walden Raines

- Blocked by Feature #8191: API for initiating an update on all affected systems after applying new errata to content views/environments added

#19 - 10/29/2014 02:19 PM - Walden Raines

- Blocked by Feature #8192: UI:  support option for initiating and update on all affected systems when performing an update added

#20 - 10/29/2014 02:20 PM - Walden Raines

- Blocked by Feature #8193: CLI:  support option for initiating and update on all affected systems when performing an update added

#21 - 10/29/2014 02:23 PM - Walden Raines

- Blocked by Feature #8194: Update composite content views and environments with new point releases added

#22 - 10/29/2014 02:26 PM - Walden Raines

- Blocked by Feature #8195: Repoclosure should optionally be run at some point during the process to tell me if there is a dependency issue, either

afterwards or as part of the process halting the push to an environment added

#23 - 10/29/2014 03:28 PM - Walden Raines

- Subject changed from Emergency Errata to Errata Management Incremental Updates

#24 - 11/03/2014 09:45 AM - Walden Raines

- Blocked by Feature #8249: API for remote action history added

#25 - 11/03/2014 11:14 AM - Walden Raines
- Related to Feature #8251: As a user, i should be able to see what was added as part of an incremental errata update added

#26 - 11/03/2014 11:14 AM - Walden Raines

- Related to deleted (Feature #8251: As a user, i should be able to see what was added as part of an incremental errata update)

#27 - 11/03/2014 11:14 AM - Walden Raines

- Blocked by Feature #8251: As a user, i should be able to see what was added as part of an incremental errata update added

#28 - 11/06/2014 10:16 AM - Walden Raines

- Blocked by deleted (Feature #8195: Repoclosure should optionally be run at some point during the process to tell me if there is a dependency issue,

either afterwards or as part of the process halting the push to an environment)

#29 - 11/06/2014 10:16 AM - Walden Raines

- Related to Feature #8195: Repoclosure should optionally be run at some point during the process to tell me if there is a dependency issue, either

afterwards or as part of the process halting the push to an environment added

#30 - 11/06/2014 10:33 AM - Walden Raines

- Blocked by Feature #8306: API for selecting multiple *packages*, and 'apply them' to multiple content views in multiple environments. added

#31 - 12/10/2014 11:07 AM - Justin Sherrill

- Related to Feature #8645: add incremental update to bats testing added

#32 - 12/18/2014 02:36 PM - Walden Raines

- Blocked by deleted (Feature #8187: CLI for selecting multiple *packages*, and 'apply them' to multiple content views in multiple environments.)

#33 - 12/18/2014 02:36 PM - Walden Raines

- Blocked by deleted (Feature #8186: UI for selecting multiple *packages*, and 'apply them' to multiple content views in multiple environments.)

#34 - 01/05/2015 08:44 AM - Eric Helms

- Target version changed from 62 to 63

#35 - 01/15/2015 09:11 AM - Justin Sherrill

- Blocked by Feature #8972: Support incremental update via hammer added

#36 - 01/20/2015 12:20 PM - Justin Sherrill

- Blocked by Bug #9051: systems controller index should handle multiple errata_ids added

#37 - 01/23/2015 04:58 PM - Eric Helms

- Target version deleted (63)

#38 - 01/26/2015 02:04 PM - Justin Sherrill

- Blocked by Bug #9120: better feedback around composites and incremental updates added

#39 - 01/29/2015 02:35 PM - Walden Raines

- Related to Feature #9166: Indicate to the user that an incremental update is in progress (UI) added

#40 - 01/29/2015 02:35 PM - Walden Raines

- Related to deleted (Feature #9166: Indicate to the user that an incremental update is in progress (UI))

#41 - 01/29/2015 02:36 PM - Walden Raines

- Blocked by Feature #9166: Indicate to the user that an incremental update is in progress (UI) added

#42 - 01/30/2015 09:24 AM - Walden Raines

- Blocked by Feature #9176: Incremental update:  show resulting update task in details pane  added

#43 - 02/04/2015 10:50 AM - Justin Sherrill

- Blocked by Bug #9220: apply errata confirm button does not disable when click, nor handle errors added
#44 - 02/04/2015 10:50 AM - Justin Sherrill

- Blocked by Bug #9219: cancel button on errata apply does not work properly added

#45 - 02/04/2015 01:51 PM - Walden Raines

- Blocked by Feature #9223: Indicate to the user that an incremental update is in progress (API) added

#46 - 02/09/2015 03:26 PM - Justin Sherrill

- Blocked by Bug #9298: errata apply with inc update includes full system info and sends even without checking 'apply to content hosts' added

#47 - 02/10/2015 10:42 AM - Justin Sherrill

- Blocked by Bug #9309: Monitor > Tasks page throws "Not Implemented error" after an incremental update (with system errata apply) added

#48 - 02/12/2015 11:00 AM - Walden Raines

- Related to Feature #9356: Need to better handle sequential incremental updates added

#49 - 09/15/2015 10:50 AM - Walden Raines

- Related to deleted (Feature #8195: Repoclosure should optionally be run at some point during the process to tell me if there is a dependency issue,

either afterwards or as part of the process halting the push to an environment)

#50 - 09/15/2015 10:51 AM - Walden Raines

- Related to deleted (Feature #8645: add incremental update to bats testing)

#51 - 09/15/2015 10:51 AM - Walden Raines

- Related to deleted (Feature #9356: Need to better handle sequential incremental updates)

#52 - 09/15/2015 10:52 AM - Walden Raines

- Status changed from New to Closed

Moving remaining tasks to Errata Management Future (http://projects.theforeman.org/issues/8324) and closing.

#53 - 12/22/2015 09:17 AM - Eric Helms

- Status changed from Closed to Resolved

#54 - 07/08/2016 11:11 AM - Eric Helms

- translation missing: en.field_release set to 166
